College Basketball DataCollege Basketball Data
  • CollegeBasketballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • API Reference
Helpful links
  • CBBD
  • Get API key
  • Access tiers
Official libraries
  • Python
  • TypeScript
  • R
  • API source
Other resources
  • Rad Sports Analytics
  • Football
  • CBB Starter Pack

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/mediaget/games/teamsget/games/playersget/scoreboardget
Plays
    /substitutions/game/{gameId}get/substitutions/player/{playerId}get/substitutions/teamget/plays/game/{gameId}get/plays/player/{playerId}get/plays/teamget/plays/dateget/plays/tournamentget/plays/typesget
Teams
    /teams/directoryget/teams/{teamId}/season/{season}/overviewget/teamsget/teams/rosterget
Conferences
    /conferencesget/conferences/historyget
Venues
    /venuesget
Stats
    /stats/team/leaderboardget/stats/team/seasonget/stats/team/shooting/seasonget/stats/player/seasonget/stats/player/shooting/seasonget
Rankings
    /rankingsget
Ratings
    /ratings/srsget/ratings/adjustedget/ratings/eloget
Lines
    /linesget/lines/providersget
Lineups
    /lineups/teamget/lineups/game/{gameId}get
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/portalget
Schemas
powered by Zudoku
College Basketball Data API
College Basketball Data API

Teams

Download schema

Team information and rosters.


GET
https://api.collegebasketballdata.com
/teams/directory
Bearer

Returns full team directory and metadata for the specified season.

query Parameters

season
​integer · int32 · required

Responses

200

Ok

TeamDirectory
season
​number · double · required
seasonLabel
​string · required
​DirectoryTeam[] · required
​Conference[] · required
GET/teams/directory
curl 'https://api.collegebasketballdata.com/teams/directory?season=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "season": 0, "seasonLabel": "seasonLabel", "teams": [ { "id": 0, "sourceId": "sourceId", "school": "school", "mascot": "mascot", "abbreviation": "abbreviation", "displayName": "displayName", "shortDisplayName": "shortDisplayName", "conferenceId": 0 } ], "conferences": [ { "id": 0, "name": "name", "abbreviation": "abbreviation" } ] }
json
application/json

GET
https://api.collegebasketballdata.com
/teams/{teamId}/season/{season}/overview
Bearer

Returns a stored full-season team overview

path Parameters

teamId
​integer · int32 · required

Team ID filter

season
​integer · int32 · required

Season filter

Responses

200

Ok

TeamSeasonOverview
formatVersion
​number · enum · required
Enum values:
1
2
teamId
​number · double · required
season
​number · double · required
seasonLabel
​string · required
generatedAt
​string · required
​object · required
​object · required
​object · required
​object · required
​object · required
​object · required
​object · required
​object · required
GET/teams/{teamId}/season/{season}/overview
curl https://api.collegebasketballdata.com/teams/:teamId/season/:season/overview \ --header 'Authorization: Bearer <token>'
Example Responses
{ "formatVersion": 1, "teamId": 0, "season": 0, "seasonLabel": "seasonLabel", "generatedAt": "generatedAt", "team": { "conference": { "id": 0, "name": "name", "abbreviation": "abbreviation" }, "sourceId": "sourceId", "mascot": "mascot", "school": "school" }, "record": { "unknownConferenceGames": 0, "unknownEligibilityGames": 0, "complete": true, "conference": { "games": 0, "wins": 0, "losses": 0, "unresolved": 0 }, "overall": { "games": 0, "wins": 0, "losses": 0, "unresolved": 0 } }, "ratings": { "polls": { "coaches": { "state": "ranked", "date": "date", "week": 0, "seasonType": "regular", "rank": 0 }, "ap": { "state": "ranked", "date": "date", "week": 0, "seasonType": "regular", "rank": 0 } }, "srs": 0, "elo": 0, "adjusted": { "offense": { "value": 0, "rank": 0 }, "defense": { "value": 0, "rank": 0 }, "net": { "value": 0, "rank": 0 }, "population": 0 } }, "efficiency": { "defense": { "boxScore": { "fieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointFieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "threePointFieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "minutes": 0, "teamTurnovers": 0, "technicalFouls": 0, "flagrantFouls": 0, "pointsInPaint": 0, "pointsOffTurnovers": 0, "fastBreakPoints": 0, "trueShootingPct": 0 }, "points": 0, "possessions": 0, "rawRating": 0, "effectiveFieldGoalPct": 0, "turnoverPct": 0, "offensiveReboundPct": 0, "freeThrowRate": 0 }, "offense": { "boxScore": { "fieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointFieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "threePointFieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "minutes": 0, "teamTurnovers": 0, "technicalFouls": 0, "flagrantFouls": 0, "pointsInPaint": 0, "pointsOffTurnovers": 0, "fastBreakPoints": 0, "trueShootingPct": 0 }, "points": 0, "possessions": 0, "rawRating": 0, "effectiveFieldGoalPct": 0, "turnoverPct": 0, "offensiveReboundPct": 0, "freeThrowRate": 0 }, "paceGames": 0, "pace": 0, "coverage": { "state": "available", "reason": "no_games", "eligibleGames": 0, "coveredGames": 0 } }, "shooting": { "buckets": [ { "key": "at_rim", "attempts": 0, "made": 0, "attemptPct": 0, "fieldGoalPct": 0 } ], "trackedAttempts": 0, "coverage": { "state": "available", "reason": "no_games", "eligibleGames": 0, "coveredGames": 0 } }, "players": { "rows": [ { "seasonStats": { "fieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointFieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "threePointFieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "rebounds": { "total": 0, "defensive": 0, "offensive": 0 }, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "starts": 0, "assistTurnoverRatio": 0, "freeThrowRate": 0, "offensiveReboundPct": 0, "advanced": { "winShares": { "per40": 0, "total": 0, "defensive": 0, "offensive": 0 }, "porpag": 0, "netRating": 0, "defensiveRating": 0, "offensiveRating": 0, "games": 0 } }, "athleteId": 0, "name": "name", "position": "position", "onRoster": true, "hasStats": true, "games": 0, "minutes": 0, "points": 0, "rebounds": 0, "assists": 0, "minutesPerGame": 0, "pointsPerGame": 0, "usagePct": 0, "trueShootingPct": 0, "effectiveFieldGoalPct": 0, "usageGames": 0, "complete": true } ], "coverage": { "state": "available", "reason": "no_games", "eligibleGames": 0, "coveredGames": 0 } }, "schedule": { "games": [ { "id": 0, "opponentId": 0, "opponent": "opponent", "opponentHasProfile": true, "startDate": "startDate", "calendarDate": "calendarDate", "startTimeTbd": true, "location": "home", "status": "scheduled", "seasonType": "regular", "gameType": "gameType", "eligibility": "counted", "conferenceGame": true, "teamPoints": 0, "opponentPoints": 0, "result": "W", "venue": "venue" } ] }, "sources": { "notes": [ "string" ], "latestFinalStartDate": "latestFinalStartDate", "leaderboardUpdatedAt": "leaderboardUpdatedAt" } }
json
application/json

GET
https://api.collegebasketballdata.com
/teams
Bearer

Returns team and conference information.

query Parameters

conference
​string

Filters results to the specified conference abbreviation.

season
​integer · int32

Returns conference membership for the specified season.

Responses

200

Ok

​TeamInfo[]
TeamInfo
id
​integer · int32 · required
sourceId
​string · required
school
​string · required
mascot
​string | null · required
abbreviation
​string | null · required
displayName
​string | null · required
shortDisplayName
​string | null · required
primaryColor
​string | null · required
secondaryColor
​string | null · required
currentVenueId
​integer | null · int32 · required
currentVenue
​string | null · required
currentCity
​string | null · required
currentState
​string | null · required
conferenceId
​integer | null · int32 · required
conference
​string | null · required
logos
​array | null · required
GET/teams
curl https://api.collegebasketballdata.com/teams \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "sourceId": "sourceId", "school": "school", "mascot": "mascot", "abbreviation": "abbreviation", "displayName": "displayName", "shortDisplayName": "shortDisplayName", "primaryColor": "primaryColor", "secondaryColor": "secondaryColor", "currentVenueId": 0, "currentVenue": "currentVenue", "currentCity": "currentCity", "currentState": "currentState", "conferenceId": 0, "conference": "conference", "logos": [ "string" ] } ]
json
application/json

GET
https://api.collegebasketballdata.com
/teams/roster
Bearer

Returns team rosters for a season.

query Parameters

season
​integer · int32 · required

The season to return.

team
​string

Filters results to the specified team name.

Responses

200

Ok

​TeamRoster[]
TeamRoster
teamId
​integer · int32 · required
teamSourceId
​string · required
team
​string · required
conference
​string | null · required
season
​number · double · required
​TeamRosterPlayer[] · required
GET/teams/roster
curl 'https://api.collegebasketballdata.com/teams/roster?season=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "teamId": 0, "teamSourceId": "teamSourceId", "team": "team", "conference": "conference", "season": 0, "players": [ { "id": 0, "sourceId": "sourceId", "name": "name", "firstName": "firstName", "lastName": "lastName", "jersey": "jersey", "position": "position", "height": 0, "weight": 0, "hometown": { "countyFips": "countyFips", "longitude": 0, "latitude": 0, "country": "country", "state": "state", "city": "city" }, "dateOfBirth": "2024-08-25", "startSeason": 0, "endSeason": 0 } ] } ]
json
application/json

PlaysConferences